import { BehaviorSubject, Subject } from 'rxjs';
import { makeDatasource, AdapterPropName, EMPTY_ITEM, } from './vscroll';
var getBooleanSubjectPropConfig = function () { return ({
    source: new Subject(),
    emit: function (source, value) { return source.next(value); }
}); };
var ɵ0 = getBooleanSubjectPropConfig;
var getItemBehaviorSubjectPropConfig = function () { return ({
    source: new BehaviorSubject(EMPTY_ITEM),
    emit: function (source, value) { return source.next(value); }
}); };
var ɵ1 = getItemBehaviorSubjectPropConfig;
var getAdapterConfig = function () {
    var _a;
    return ({
        mock: false,
        reactive: (_a = {},
            _a[AdapterPropName.init$] = getBooleanSubjectPropConfig(),
            _a[AdapterPropName.isLoading$] = getBooleanSubjectPropConfig(),
            _a[AdapterPropName.loopPending$] = getBooleanSubjectPropConfig(),
            _a[AdapterPropName.firstVisible$] = getItemBehaviorSubjectPropConfig(),
            _a[AdapterPropName.lastVisible$] = getItemBehaviorSubjectPropConfig(),
            _a[AdapterPropName.bof$] = getBooleanSubjectPropConfig(),
            _a[AdapterPropName.eof$] = getBooleanSubjectPropConfig(),
            _a)
    });
};
var ɵ2 = getAdapterConfig;
var makeAngularDatasource = function () { return /** @class */ (function () {
    function class_1(_ds) {
    }
    return class_1;
}()); };
var ɵ3 = makeAngularDatasource;
var AngularDatasource = makeDatasource(getAdapterConfig);
export { AngularDatasource as Datasource, };
export { ɵ0, ɵ1, ɵ2, ɵ3 };
//# sourceMappingURL=ui-scroll.datasource.js.map