import { OnInit, OnDestroy, TemplateRef, ElementRef, ChangeDetectorRef } from '@angular/core';
import { Workflow, Item } from './vscroll';
import { IDatasource as IAngularDatasource } from './ui-scroll.datasource';
export declare class UiScrollComponent<Data = unknown> implements OnInit, OnDestroy {
    changeDetector: ChangeDetectorRef;
    elementRef: ElementRef;
    template: TemplateRef<unknown>;
    datasource: IAngularDatasource<Data>;
    items: Item<Data>[];
    workflow: Workflow<Data>;
    constructor(changeDetector: ChangeDetectorRef, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
