import { TemplateRef, ViewContainerRef, ComponentFactoryResolver, OnInit } from '@angular/core';
import { IDatasource } from './ui-scroll.datasource';
export declare class UiScrollDirective<ItemData = unknown> implements OnInit {
    private templateRef;
    private viewContainer;
    private resolver;
    private datasource;
    constructor(templateRef: TemplateRef<unknown>, viewContainer: ViewContainerRef, resolver: ComponentFactoryResolver);
    set uiScrollOf(datasource: IDatasource<ItemData>);
    ngOnInit(): void;
}
